Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGFrame

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGFrame

public class JPEGFrame extends Object
Data class to store information on a JPEG frame. A frame here is JPEG terminology for a complete image and has nothing to do with GUI components like JFrame objects in Swing.

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private JPEGFrameComponent[]`
`components`
`private int`
`height`
`private int`
`numComponents`
`private int`
`samplePrecision`
`private int`
`width`

## Constructor Summary

Constructors
Constructor
Description
`JPEGFrame()`

## Method Summary

Modifier and Type
Method
Description
`JPEGFrameComponent[]`
`getComponents()`
`int`
`getHeight()`
`int`
`getNumComponents()`
`int`
`getSamplePrecision()`
`int`
`getWidth()`
`void`
`setComponents(JPEGFrameComponent[] components)`
`void`
`setHeight(int i)`
`void`
`setNumComponents(int i)`
`void`
`setSamplePrecision(int i)`
`void`
`setWidth(int i)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### components

private JPEGFrameComponent[] components

### numComponents

private int numComponents

### height

private int height

### samplePrecision

private int samplePrecision

### width

private int width

## Constructor Details

### JPEGFrame

public JPEGFrame()

## Method Details

### getComponents

public JPEGFrameComponent[] getComponents()

### getHeight

public int getHeight()

### getNumComponents

public int getNumComponents()

### getSamplePrecision

public int getSamplePrecision()

### getWidth

public int getWidth()

### setComponents

public void setComponents(JPEGFrameComponent[] components)

### setHeight

public void setHeight(int i)

### setNumComponents

public void setNumComponents(int i)

### setSamplePrecision

public void setSamplePrecision(int i)

### setWidth

public void setWidth(int i)

### toString

public String toString()

Overrides:
  `toString` in class `Object`